
#     XILINX IS PROVIDING THIS DESIGN, CODE, OR INFORMATION "AS IS"
#     SOLELY FOR USE IN DEVELOPING PROGRAMS AND SOLUTIONS FOR
#     XILINX DEVICES.  BY PROVIDING THIS DESIGN, CODE, OR INFORMATION
#     AS ONE POSSIBLE IMPLEMENTATION OF THIS FEATURE, APPLICATION
#     OR STANDARD, XILINX IS MAKING NO REPRESENTATION THAT THIS
#     IMPLEMENTATION IS FREE FROM ANY CLAIMS OF INFRINGEMENT,
#     AND YOU ARE RESPONSIBLE FOR OBTAINING ANY RIGHTS YOU MAY REQUIRE
#     FOR YOUR IMPLEMENTATION.  XILINX EXPRESSLY DISCLAIMS ANY
#     WARRANTY WHATSOEVER WITH RESPECT TO THE ADEQUACY OF THE
#     IMPLEMENTATION, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OR
#     REPRESENTATIONS THAT THIS IMPLEMENTATION IS FREE FROM CLAIMS OF
#     INFRINGEMENT, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
#     FOR A PARTICULAR PURPOSE.
#     
#     (c) Copyright 2005 Xilinx, Inc.
#     All rights reserved.
 PARAMETER VERSION = 2.2.0


BEGIN OS
 PARAMETER OS_NAME = standalone
 PARAMETER OS_VER = 1.00.a
 PARAMETER PROC_INSTANCE = microblaze_0
 PARAMETER stdin = opb_uart16550_0
 PARAMETER stdout = opb_uart16550_0
END


BEGIN PROCESSOR
 PARAMETER DRIVER_NAME = cpu
 PARAMETER DRIVER_VER = 1.00.a
 PARAMETER HW_INSTANCE = microblaze_0
 PARAMETER COMPILER = mb-gcc
 PARAMETER ARCHIVER = mb-ar
END


BEGIN DRIVER
 PARAMETER DRIVER_NAME = bram
 PARAMETER DRIVER_VER = 1.00.a
 PARAMETER HW_INSTANCE = lmb_bram_if_cntlr_0
END

BEGIN DRIVER
 PARAMETER DRIVER_NAME = bram
 PARAMETER DRIVER_VER = 1.00.a
 PARAMETER HW_INSTANCE = lmb_bram_if_cntlr_1
END

BEGIN DRIVER
 PARAMETER DRIVER_NAME = generic
 PARAMETER DRIVER_VER = 1.00.a
 PARAMETER HW_INSTANCE = opb_v20_0
END

BEGIN DRIVER
 PARAMETER DRIVER_NAME = uartlite
 PARAMETER DRIVER_VER = 1.00.b
 PARAMETER HW_INSTANCE = opb_mdm_0
END

# BEGIN DRIVER
# PARAMETER DRIVER_NAME = tmrctr
# PARAMETER DRIVER_VER = 1.00.b
# PARAMETER HW_INSTANCE = opb_timer_0
# END
BEGIN DRIVER
 PARAMETER HW_INSTANCE = opb_uart16550_0
 PARAMETER DRIVER_NAME = uartns550
 PARAMETER DRIVER_VER = 1.00.b
 PARAMETER CLOCK_HZ = 100000000
END

BEGIN DRIVER
 PARAMETER DRIVER_NAME = gpio
 PARAMETER DRIVER_VER = 2.00.a
 PARAMETER HW_INSTANCE = opb_gpio_0
END

BEGIN DRIVER
 PARAMETER HW_INSTANCE = opb_ps2_dual_ref_0
 PARAMETER DRIVER_NAME = ps2_ref
 PARAMETER DRIVER_VER = 1.00.a
 PARAMETER LEVEL = 1
END

# BEGIN DRIVER
# PARAMETER HW_INSTANCE = opb_iic_0
# PARAMETER DRIVER_NAME = iic
# PARAMETER DRIVER_VER = 1.01.d
# END
BEGIN DRIVER
 PARAMETER HW_INSTANCE = opb_ac97_controller_ref_0
 PARAMETER DRIVER_NAME = generic
 PARAMETER DRIVER_VER = 1.00.a
END

BEGIN DRIVER
 PARAMETER HW_INSTANCE = opb_sysace_0
 PARAMETER DRIVER_NAME = sysace
 PARAMETER DRIVER_VER = 1.00.a
END

BEGIN DRIVER
 PARAMETER HW_INSTANCE = plb_tft_cntlr_ref_0
 PARAMETER DRIVER_NAME = tft_ref
 PARAMETER DRIVER_VER = 1.00.a
 PARAMETER LEVEL = 1
END

BEGIN DRIVER
 PARAMETER HW_INSTANCE = opb_ethernet_0
 PARAMETER DRIVER_NAME = emac
 PARAMETER DRIVER_VER = 1.00.f
END

BEGIN DRIVER
 PARAMETER HW_INSTANCE = opb2dcr_bridge_0
 PARAMETER DRIVER_NAME = generic
 PARAMETER DRIVER_VER = 1.00.a
END

# BEGIN DRIVER
# PARAMETER HW_INSTANCE = plb2opb_bridge_0
# PARAMETER DRIVER_NAME = plb2opb
# PARAMETER DRIVER_VER = 1.00.a
# END
BEGIN DRIVER
 PARAMETER HW_INSTANCE = plb_ddr_0
 PARAMETER DRIVER_NAME = generic
 PARAMETER DRIVER_VER = 1.00.a
END

BEGIN DRIVER
 PARAMETER DRIVER_NAME = intc
 PARAMETER DRIVER_VER = 1.00.c
 PARAMETER HW_INSTANCE = opb_intc_0
END

BEGIN DRIVER
 PARAMETER DRIVER_NAME = gpio
 PARAMETER DRIVER_VER = 2.00.a
 PARAMETER HW_INSTANCE = opb_gpio_exp_hdr_0
END

BEGIN DRIVER
 PARAMETER DRIVER_NAME = gpio
 PARAMETER DRIVER_VER = 2.00.a
 PARAMETER HW_INSTANCE = opb_gpio_char_lcd_0
END

BEGIN DRIVER
 PARAMETER DRIVER_NAME = generic
 PARAMETER DRIVER_VER = 1.00.a
 PARAMETER HW_INSTANCE = plb_v34_0
END

BEGIN DRIVER
 PARAMETER DRIVER_NAME = generic
 PARAMETER DRIVER_VER = 1.00.a
 PARAMETER HW_INSTANCE = opb_emc_0
END

BEGIN DRIVER
 PARAMETER DRIVER_NAME = generic
 PARAMETER DRIVER_VER = 1.00.a
 PARAMETER HW_INSTANCE = opb_emc_usb_0
END


BEGIN LIBRARY
 PARAMETER LIBRARY_NAME = xilmfs
 PARAMETER LIBRARY_VER = 1.00.a
 PARAMETER PROC_INSTANCE = microblaze_0
 PARAMETER NUMBYTES = 65535
 PARAMETER BASE_ADDRESS = 0x10100000
END

BEGIN LIBRARY
 PARAMETER LIBRARY_NAME = xilnet
 PARAMETER LIBRARY_VER = 2.00.a
 PARAMETER PROC_INSTANCE = microblaze_0
 PARAMETER NO_OF_TCP_CONNS = 5
 PARAMETER NO_OF_UDP_CONNS = 5
 PARAMETER EMAC_INSTNAME = opb_ethernet_0
END

BEGIN LIBRARY
 PARAMETER LIBRARY_NAME = xilfatfs
 PARAMETER LIBRARY_VER = 1.00.a
 PARAMETER PROC_INSTANCE = microblaze_0
 PARAMETER CONFIG_DIR_SUPPORT = y
 PARAMETER CONFIG_FAT12 = n
 PARAMETER CONFIG_WRITE = y
END

