/*-----------------------------------------------------------------------------
//     $Date: 2005/01/17 23:28:09 $
//     $RCSfile: bootload_boot_boxdef.h,v $
//-----------------------------------------------------------------------------
//
//     XILINX IS PROVIDING THIS DESIGN, CODE, OR INFORMATION "AS IS"
//     SOLELY FOR USE IN DEVELOPING PROGRAMS AND SOLUTIONS FOR
//     XILINX DEVICES.  BY PROVIDING THIS DESIGN, CODE, OR INFORMATION
//     AS ONE POSSIBLE IMPLEMENTATION OF THIS FEATURE, APPLICATION
//     OR STANDARD, XILINX IS MAKING NO REPRESENTATION THAT THIS
//     IMPLEMENTATION IS FREE FROM ANY CLAIMS OF INFRINGEMENT,
//     AND YOU ARE RESPONSIBLE FOR OBTAINING ANY RIGHTS YOU MAY REQUIRE
//     FOR YOUR IMPLEMENTATION.  XILINX EXPRESSLY DISCLAIMS ANY
//     WARRANTY WHATSOEVER WITH RESPECT TO THE ADEQUACY OF THE
//     IMPLEMENTATION, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OR
//     REPRESENTATIONS THAT THIS IMPLEMENTATION IS FREE FROM CLAIMS OF
//     INFRINGEMENT, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
//     FOR A PARTICULAR PURPOSE.
//     
//     (c) Copyright 2005 Xilinx, Inc.
//     All rights reserved.
//
//---------------------------------------------------------------------------*/
// Location of box coordinates in the TFT touchscreen test.

/* x1 = upper left corner x coordinate
*  y1 = upper left corner y coordinate
*  x2 = lower right corner x coordinate
*  y2 = lower right corner y coordinate
*/
#ifndef XROM_BOOT_BOXDEF_H
#define XROM_BOOT_BOXDEF_H

#define BOX_1_X_LEFT	40
#define BOX_1_Y_LEFT	100
#define BOX_1_X_RIGHT	350
#define BOX_1_Y_RIGHT	130

#define BOX_2_X_LEFT	40
#define BOX_2_Y_LEFT	150
#define BOX_2_X_RIGHT	350
#define BOX_2_Y_RIGHT	180

#define BOX_3_X_LEFT	40
#define BOX_3_Y_LEFT	200
#define BOX_3_X_RIGHT	350
#define BOX_3_Y_RIGHT	230

#define BOX_4_X_LEFT 	40
#define BOX_4_Y_LEFT 	250
#define BOX_4_X_RIGHT	350
#define BOX_4_Y_RIGHT 	280

#define BOX_5_X_LEFT 	40
#define BOX_5_Y_LEFT 	300
#define BOX_5_X_RIGHT	350
#define BOX_5_Y_RIGHT 	330

#define BOX_6_X_LEFT	40
#define BOX_6_Y_LEFT	350
#define BOX_6_X_RIGHT	350
#define BOX_6_Y_RIGHT	380

#define BOX_7_X_LEFT	40
#define BOX_7_Y_LEFT	400
#define BOX_7_X_RIGHT	350
#define BOX_7_Y_RIGHT	430



#endif
